<div class="current-offers-list">
  <p class="current-offers-list__title">
    {{
      "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_OFFERS.CURRENT_OFFERS_TITLE"
        | translate
    }}
  </p>
  <layout-card-container
    [designClass]="CARD_CONTAINER_DESIGN_CLASS.ALTERNATIVE"
  >
    <div class="current-offers-list__container">
      <div class="header-container">
        <div></div>
        <p class="header-container__title">
          {{
            "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_OFFERS.OFFER_CARD.OFFER"
              | translate
          }}
        </p>
      </div>
      <ng-container
        *ngIf="(addOrRemoveOffersSelected$ | async)?.length > 0; else empty"
      >
        <div
          class="offers"
          *ngFor="
            let item of addOrRemoveOffersSelected$ | async;
            index as i;
            count as length
          "
        >
          <merchant-group-profile-current-offer-item
            [id]="'offer' + i"
            [productOfferCard]="item"
            [isChecked]="true"
            [canUncheck]="length > 1"
            [isLoading]="!(addOrRemoveOffersSelected$ | async)"
          >
          </merchant-group-profile-current-offer-item>
        </div>
      </ng-container>
    </div>
  </layout-card-container>
</div>

<ng-template #empty>
  <add-or-remove-offers-empty-list></add-or-remove-offers-empty-list>
</ng-template>
